Nie jesteś zalogowany.
Jeśli nie posiadasz konta, zarejestruj je już teraz! Pozwoli Ci ono w pełni korzystać z naszego serwisu. Spamerom dziękujemy!

Ogłoszenie

Prosimy o pomoc dla małej Julki — przekaż 1% podatku na Fundację Dzieciom „Zdążyć z Pomocą”.
Więcej informacji na dug.net.pl/pomagamy/.

#1 2018-05-25 18:10:57

makowka
Użytkownik
Zarejestrowany: 2016-11-16

Niepotrzebne pakiety po aktualizacji z Jessie do Stretch

Dzień dobry

Po aktualizacji Debiana pojawiły się dwa problemy:

Przestarzałe pakiety - aptitude search '~o' - wynik jest taki:

Kod:

i A alsa-base - dummy package to ease purging of obsolete conffiles
i A cpp-4.8 - GNU C preprocessor
i A cpp-4.9 - GNU C preprocessor
i  crossover - Run Windows applications like MS Office
idA firebird2.5-common - common files for firebird 2.5 servers and clients
idA firebird2.5-common-doc - copyright, licensing and changelogs of firebird2.5
idA firebird2.5-server-common - common files for firebird 2.5 servers
i  flashplugin-nonfree - Adobe Flash Player - browser plugin
idA g++-4.9 - GNU C++ compiler
i  gcalctool - GNOME desktop calculator (transitional package)
i A gcc-4.8 - GNU C compiler
i  gcc-4.8-base - GCC, the GNU Compiler Collection (base package)
i A gcc-4.9 - GNU C compiler
i  gcc-4.9-base - GCC, the GNU Compiler Collection (base package)
i  gdeskcal - A desktop calendar featuring transparency with smooth alpha-blending
i  gnome-mplayer - GTK+ interface for MPlayer
idA gstreamer0.10-alsa - GStreamer plugin for ALSA
idA gstreamer0.10-gconf - GStreamer plugin for getting the sink/source information from GConf
idA gstreamer0.10-gnomevfs - GStreamer plugin for GnomeVFS
idA gstreamer0.10-gnonlin - non-linear editing module for GStreamer
idA gstreamer0.10-plugins-base - GStreamer plugins from the "base" set
idA gstreamer0.10-tools - Tools for use with GStreamer
idA gstreamer0.10-x - GStreamer plugins for X11 and Pango
idA libamd2.3.1 - approximate minimum degree ordering library for sparse matrices
i  libapt-inst1.5 - deb package format runtime library
i  libapt-pkg4.12 - package management runtime library
idA libarmadillo4 - streamlined C++ linear algebra library
i A libasan0 - AddressSanitizer -- a fast memory error detector
i A libasan1 - AddressSanitizer -- a fast memory error detector
idA libasprintf0c2 - GNU library to use fprintf and friends in C++
idA libavcodec56 - Libav codec library
idA libavdevice55 - Libav device handling library
idA libavformat56 - Libav file format library
idA libavresample2 - Libav audio resampling library
idA libavutil54 - Libav utility library
idA libbasicusageenvironment0 - multimedia RTSP streaming library (BasicUsageEnvironment class)
idA libbind9-90 - BIND9 Shared Library used by BIND
i  libboost-iostreams1.55.0 - Boost.Iostreams Library
idA libboost-system1.55.0 - Operating system (e.g. diagnostics support) library
idA libboost-thread1.55.0 - portable C++ multi-threading
idA libcamd2.3.1 - symmetric approximate minimum degree library for sparse matrices
idA libcamel-1.2-49 - Evolution MIME message handling library
idA libccolamd2.8.0 - constrained column approximate library for sparse matrices
idA libcholmod2.1.2 - sparse Cholesky factorization library for sparse matrices
idA libchromaprint0 - audio fingerprint library
idA libcolamd2.8.0 - column approximate minimum degree ordering library for sparse matrices
idA libdap11 - Open-source Project for a Network Data Access Protocol library
idA libdapclient3 - Client library for the Network Data Access Protocol
i  libdns-export100 - Exported DNS Shared Library
idA libdns100 - DNS Shared Library used by BIND
idA libdvbpsi9 - library for MPEG TS and DVB PSI tables decoding and generating
idA libebackend-1.2-7 - Utility library for evolution data servers
idA libecal-1.2-16 - Client library for evolution calendars
idA libedata-cal-1.2-23 - Backend library for evolution calendars
idA libedataserver-1.2-18 - Utility library for evolution data servers
idA libelfg0 - an ELF object file access library
idA libept1.4.12 - High-level library for managing Debian package information
idA libexiv2-13 - EXIF/IPTC metadata manipulation library
idA libfbembed2.5 - Firebird embedded client/server library
i A libgcc-4.8-dev - GCC support library (development files)
i A libgcc-4.9-dev - GCC support library (development files)
idA libgdata19 - Library for accessing GData webservices - shared libraries
idA libgegl-0.2-0 - Generic Graphics Library
idA libgeos-3.4.2 - Geometry engine for Geographic Information Systems - C++ Library
idA libgif4 - library for GIF images (library)
idA libglew1.10 - OpenGL Extension Wrangler - runtime environment
i A libgmlib1 - gnome-mplayer library (shared library)
i A libgmtk1 - gnome-mplayer toolkit (shared library)
i A libgmtk1-data - gnome-mplayer toolkit (common files)
i  libgnutls-deb0-28 - GNU TLS library - main runtime library
idA libgphoto2-port10 - gphoto2 digital camera port library
idA libgps21 - Global Positioning System - library
idA libgroupsock1 - multimedia RTSP streaming library (network interfaces and sockets)
idA libgstreamer-plugins-base0.10-0 - GStreamer libraries from the "base" set
idA libgstreamer0.10-0 - Core GStreamer libraries and elements
idA libgtkhtml-4.0-0 - HTML rendering/editing library - runtime files
idA libgtkhtml-4.0-common - HTML rendering/editing library - common data
idA libgtkhtml-editor-4.0-0 - HTML rendering/editing library - editor widget
idA libgtop2-7 - gtop system monitoring library (shared)
idA libhdf5-8 - Hierarchical Data Format 5 (HDF5) - runtime files - serial version
i  libhogweed2 - low level cryptographic library (public-key cryptos)
idA libhunspell-1.3-0 - spell checker and morphological analyzer (shared library)
idA libical1a - iCalendar library implementation in C (runtime)
i  libicu52 - International Components for Unicode
idA libilmbase6 - several utility libraries from ILM used by OpenEXR
idA libimobiledevice4 - Library for communicating with the iPhone and iPod Touch
idA libinput5 - input device management and event handling library - shared library
i  libirs-export91 - Exported IRS Shared Library
i  libisc-export95 - Exported ISC Shared Library
idA libisc95 - ISC Shared Library used by BIND
idA libisccc90 - Command Channel Library used by BIND
i  libisccfg-export90 - Exported ISC CFG Shared Library
idA libisccfg90 - Config File Handling Library used by BIND
i A libisl10 - manipulating sets and relations of integer points bounded by linear constraints
idA libjasper1 - JasPer JPEG-2000 runtime library
idA libjim0.75 - small-footprint implementation of Tcl - shared library
i  libjson-c2 - JSON manipulation library - shared library
idA libjsoncpp0 - Library for reading and writing JSON for C++
idA libkml0 - Library to manipulate KML 2.2 OGC standard files
idA liblensfun-data - Lens Correction library - Data
idA liblensfun0 - Lens Correction library - Runtime files
idA liblivemedia23 - multimedia RTSP streaming library
idA libllvm3.5 - Modular compiler and toolchain technologies, runtime library
i  liblognorm1 - Log normalizing library
idA liblouis2 - Braille translation library - shared libs
idA liblwres90 - Lightweight Resolver Library used by BIND
i A libmusicbrainz3-6 - library to access the MusicBrainz.org database
idA libmysqlclient18 - MySQL database client library
idA libnetcdfc7 - Interface for scientific data access to large binary data
i  libnettle4 - low level cryptographic library (symmetric and one-way cryptos)
idA libnm-gtk-common - library for wireless and mobile dialogs - common files
idA libopenexr6 - runtime files for the OpenEXR image library
idA libopenjpeg5 - JPEG 2000 image compression/decompression library - runtime
idA libopenraw1 - free implementation for RAW decoding
idA libopenvg1-mesa - free implementation of the OpenVG API -- runtime
idA liborcus-0.8-0 - library for processing spreadsheet documents
idA libplist2 - Library for handling Apple binary and XML property lists
i A libpng12-0 - PNG library - runtime
idA libpoppler46 - PDF rendering library
idA libpostproc52 - FFmpeg derived postprocessing library
i  libprocps3 - library for accessing process information from /proc
idA libproj0 - Cartographic projection library
idA libprotobuf9 - protocol buffers C++ library
i  libpsl0 - Library for Public Suffix List (shared libraries)
idA libqmi-glib1 - Support library to use the Qualcomm MSM Interface (QMI) protocol
idA libqpdf13 - runtime library for PDF transformation/inspection software
idA libquvi-scripts - library for parsing video download links (Lua scripts)
idA libquvi7 - library for parsing video download links (runtime libraries)
i  libreadline6 - GNU readline and history libraries, run-time libraries
idA libreoffice-sdbc-firebird - Firebird SDBC driver for LibreOffice
idA libschroedinger-1.0-0 - library for encoding/decoding of Dirac video streams
i  libservlet2.5-java - Servlet 2.5 and JSP 2.1 Java API classes
idA libsoundtouch0 - Sound stretching library
i  libssl1.0.0 - Secure Sockets Layer toolkit - shared libraries
idA libstdc++-4.9-dev - GNU Standard C++ Library v3 (development files)
idA libswscale3 - Libav video scaling library
i A libtidy-0.99-0 - HTML syntax checker and reformatter - library
idA libturbojpeg1 - TurboJPEG runtime library - SIMD optimized
i A libtxc-dxtn-s2tc0 - Texture compression library for Mesa
idA libumfpack5.6.2 - sparse LU factorization library
idA libusageenvironment1 - multimedia RTSP streaming library (UsageEnvironment classes)
idA libusbmuxd2 - USB multiplexor daemon for iPhone and iPod Touch devices - library
idA libvncclient0 - API to write one's own vnc server - client library
idA libvpx1 - VP8 and VP9 video codec (shared library)
idA libvte-2.90-9 - Terminal emulator widget for GTK+ 3.0 - runtime files
idA libvte-2.90-common - Terminal emulator widget for GTK+ 3.0 - common files
idA libwebp5 - Lossy compression of digital photographic images.
idA libwebpdemux1 - Lossy compression of digital photographic images.
idA libwebpmux1 - Lossy compression of digital photographic images.
id libwebrtc-audio-processing-0 - AudioProcessing module from the WebRTC project.
idA libwine-gecko-2.21 - Windows API implementation - web browser module
idA libwps-0.3-3 - Works text file format import filter library (shared library)
idA libx264-142 - x264 video coding library
idA libxapian22 - Search engine library
idA libxfce4util6 - Utility functions library for Xfce4
i  libxtables10 - netfilter xtables library
i A linux-compiler-gcc-4.8-x86 - Compiler for Linux on x86 (meta-package)
i  linux-headers-3.16.0-4-686-pae - Header files for Linux 3.16.0-4-686-pae
i A linux-headers-3.16.0-4-common - Common header files for Linux 3.16.0-4
i A linux-image-3.16.0-4-686-pae - Linux 3.16 for modern PCs
i A linux-image-3.16.0-6-686-pae - Linux 3.16 for modern PCs
i A linux-kbuild-3.16 - Kbuild infrastructure for Linux 3.16
idA python-gst0.10 - generic media-playing framework (Python bindings)
i  python-reportbug - Python modules for interacting with bug tracking systems
i  python-support - automated rebuilding support for Python modules
idA qlandkartegt-garmin - QLandkarteGT plugins to access Garmin devices
idA xfce4-artwork - additional artwork for the Xfce4 Desktop Environment
idA xfce4-volumed - volume keys daemon

Nie chciałbym usuwać tych pakietów, niektóre z nich są mi potrzebne. Czy nie będzie przez to kłopotów przy następny upgradzie?

Drugi kłopot: przy instalacji i usuwaniu pakietów za pomocą apt-get pojawia mi się komunikat, że pakiety nie są już potrzebne i że można je usunąć:

Kod:

Następujące pakiety zostały zainstalowane automatycznie i nie są już więcej wymagane:
  docutils-common docutils-doc espeak-data firebird2.5-common firebird2.5-common-doc firebird2.5-server-common
  firebird3.0-common firebird3.0-common-doc g++-4.9 gdebi-core geoclue-2.0 gir1.2-polkit-1.0 gstreamer0.10-alsa
  gstreamer0.10-gconf gstreamer0.10-gnomevfs gstreamer0.10-gnonlin gstreamer0.10-plugins-base gstreamer0.10-tools
  gstreamer0.10-x hwdata iceweasel-l10n-pl iio-sensor-proxy imagemagick-common iproute libalgorithm-c3-perl libamd2.3.1
  libarchive-extract-perl libarmadillo4 libasprintf0c2 libavcodec56 libavdevice55 libavformat56 libavresample2 libavutil54
  libb-hooks-endofscope-perl libbasicusageenvironment0 libbind9-90 libboost-system1.55.0 libboost-thread1.55.0 libcamd2.3.1
  libcamel-1.2-49 libccolamd2.8.0 libcholmod2.1.2 libchromaprint0 libclass-c3-perl libclass-c3-xs-perl
  libclass-method-modifiers-perl libclass-xsaccessor-perl libcolamd2.8.0 libcpan-changes-perl libcpan-meta-perl libdap11
  libdapclient3 libdata-optlist-perl libdata-perl-perl libdata-section-perl libdbus-1-dev libdevel-caller-perl
  libdevel-globaldestruction-perl libdevel-lexalias-perl libdns100 libdvbpsi9 libebackend-1.2-7 libecal-1.2-16
  libedata-cal-1.2-23 libedataserver-1.2-18 libegl1-mesa-drivers libelfg0 libenca0 libept1.4.12 libespeak1 libexiv2-13
  libexporter-tiny-perl libfbclient2 libfbembed2.5 libfile-slurp-perl libfreerdp-cache1.1 libfreerdp-client1.1
  libfreerdp-codec1.1 libfreerdp-common1.1.0 libfreerdp-core1.1 libfreerdp-crypto1.1 libfreerdp-gdi1.1 libfreerdp-locale1.1
  libfreerdp-primitives1.1 libfreerdp-rail1.1 libfreerdp-utils1.1 libgdata19 libgegl-0.2-0 libgeoclue-2-0 libgeos-3.4.2
  libgetopt-long-descriptive-perl libgif4 libglew1.10 libgnome2-0 libgphoto2-port10 libgps21 libgroupsock1
  libgstreamer-plugins-base0.10-0 libgstreamer0.10-0 libgtkhtml-4.0-0 libgtkhtml-4.0-common libgtkhtml-editor-4.0-0
  libgtop2-7 libhdf5-8 libhunspell-1.3-0 libical1a libilmbase6 libimobiledevice4 libimport-into-perl libinput5
  libio-stringy-perl libisc95 libisccc90 libisccfg90 libjasper1 libjavascriptcoregtk-3.0-0 libjim0.75 libjsoncpp0
  libkeybinder0 libkml0 liblensfun-data liblensfun0 liblircclient0 liblist-moreutils-perl liblivemedia23 libllvm3.5
  liblog-message-perl liblog-message-simple-perl liblouis2 liblwres90 libmodule-build-perl libmodule-implementation-perl
  libmodule-load-conditional-perl libmodule-pluggable-perl libmodule-runtime-perl libmodule-signature-perl libmoo-perl
  libmoox-handlesvia-perl libmro-compat-perl libmysqlclient18 libnamespace-autoclean-perl libnamespace-clean-perl
  libnetcdfc7 libnl-route-3-200 libnm-glib-vpn1 libnm-glib4 libnm-gtk-common libnm-gtk0 libnm-util2 libntdb1 libopenexr6
  libopenjpeg5 libopenraw1 libopenvg1-mesa liborcus-0.8-0 libpackage-constants-perl libpackage-stash-perl
  libpackage-stash-xs-perl libpadwalker-perl libparams-classify-perl libparams-util-perl libparams-validate-perl
  libpath-tiny-perl libperl4-corelibs-perl libplist2 libpng12-0 libpod-latex-perl libpod-markdown-perl libpod-readme-perl
  libpoppler46 libpostproc52 libproj0 libprotobuf9 libpth20 libqmi-glib1 libqpdf13 libqt4-opengl libqtscript4-core
  libqtscript4-gui libqtscript4-network libqtscript4-uitools libqtscript4-xml libqtwebkit4 libquvi-scripts libquvi7
  libregexp-common-perl libreoffice-gtk libreoffice-sdbc-firebird libreoffice-systray librole-tiny-perl
  libschroedinger-1.0-0 libsctp1 libsoftware-license-perl libsonic0 libsoundtouch0 libstdc++-4.9-dev libstrictures-perl
  libsub-exporter-perl libsub-exporter-progressive-perl libsub-identify-perl libsub-install-perl libswscale3 libsysfs2
  libterm-ui-perl libtext-soundex-perl libtext-template-perl libtommath1 libtry-tiny-perl libturbojpeg1 libtype-tiny-perl
  libtype-tiny-xs-perl libumfpack5.6.2 libunicode-utf8-perl libusageenvironment1 libusbmuxd2 libuuid-perl
  libvariable-magic-perl libvncclient0 libvpx1 libvte-2.90-9 libvte-2.90-common libvte-common libvte9 libwebkitgtk-3.0-0
  libwebp5 libwebpdemux1 libwebpmux1 libwine-gecko-2.21 libwinpr-crt0.1 libwinpr-crypto0.1 libwinpr-dsparse0.1
  libwinpr-environment0.1 libwinpr-file0.1 libwinpr-handle0.1 libwinpr-heap0.1 libwinpr-input0.1 libwinpr-interlocked0.1
  libwinpr-library0.1 libwinpr-path0.1 libwinpr-pool0.1 libwinpr-registry0.1 libwinpr-rpc0.1 libwinpr-sspi0.1
  libwinpr-synch0.1 libwinpr-sysinfo0.1 libwinpr-thread0.1 libwinpr-utils0.1 libwps-0.3-3 libx264-142 libxapian22
  libxcb-composite0 libxfce4util6 libxfcegui4-4 linux-image-3.16.0-4-686-pae lksctp-tools musescore-soundfont-gm python-cddb
  python-cffi python-characteristic python-cups python-dbus-dev python-defusedxml python-docutils python-gdbm python-gobject
  python-gst0.10 python-imaging python-mmkeys python-musicbrainz2 python-ndg-httpsclient python-notify python-pexpect
  python-pil python-ply python-ptyprocess python-pycparser python-pygments python-renderpm python-reportlab
  python-reportlab-accel python-roman python-smbc python-soappy python-wstools qlandkartegt-garmin vlc-nox
  xfce-keyboard-shortcuts xfce4-artwork xfce4-quicklauncher-plugin xfce4-volumed xscreensaver xscreensaver-data
Aby je usunąć należy użyć "apt autoremove".

Czy mogę usunąć te pakiety bez ryzyka wywalenia czegoś ważnego z systemu?

Offline

 

#2 2018-05-26 06:40:23

morfik
Cenzor wirtualnego świata
Skąd: ze WSI
Zarejestrowany: 2011-09-15
Serwis

Re: Niepotrzebne pakiety po aktualizacji z Jessie do Stretch

Jak sobie dajesz dist-upgrade czy full-upgrade bez patrzenia na komunikaty, to  się teraz nie dziw, że masz syf w pakietach. Po prostu cześć potrzebnych rzeczy została wywalona z systemu by zaspokoić zależności, o których instalator cię informował. Skoro upgrade został zaakceptowany, to teraz się baw w instalacje tych potrzebnych rzeczy ręcznie, by ponownie zależności zostały spełnione w stosunku do tych pakietów, które system obecnie uważa za "niepotrzebne".

Offline

 

Stopka forum

Powered by PunBB
© Copyright 2002–2005 Rickard Andersson
Nas ludzie lubią po prostu, a nie klikając w przyciski ;-)